Bug 2247629 (CVE-2023-5764) - CVE-2023-5764 ansible: Template Injection
Summary: CVE-2023-5764 ansible: Template Injection
Keywords:
Status: NEW
Alias: CVE-2023-5764
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2247631 2247630
Blocks: 2249094
TreeView+ depends on / blocked
 
Reported: 2023-11-02 12:57 UTC by Vipul Nair
Modified: 2024-04-23 16:52 UTC (History)
19 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A template injection flaw was found in Ansible where a user's controller internal templating operations may remove the unsafe designation from template data. This issue could allow an attacker to use a specially crafted file to introduce templating injection when supplying templating data.
Clone Of:
Environment:
Last Closed:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2023:7773 0 None None None 2023-12-13 08:32:23 UTC

Description Vipul Nair 2023-11-02 12:57:56 UTC
A flaw was found in Ansible, where a user's controller is vulnerable to template injection when internal templating operations may errantly remove the unsafe designation from template data.

Comment 1 Vipul Nair 2023-11-02 12:59:41 UTC
Created ansible tracking bugs for this issue:

Affects: epel-all [bug 2247631]
Affects: fedora-all [bug 2247630]

Comment 3 Salvatore Bonaccorso 2023-11-23 21:05:54 UTC
Is this an issue which has an upstream fix in the Ansible project? Are there details on the issue to determine downstream affected versions?

Comment 5 Salvatore Bonaccorso 2023-12-05 06:15:37 UTC
(In reply to Vipul Nair from comment #4)
> yes,look here
> https://github.com/ansible/ansible/pull/82293
> https://github.com/ansible/ansible/pull/82294
> https://github.com/ansible/ansible/pull/82295

Thanks (I think they were not there yet when I asked, so thanks for the followup).

Comment 6 errata-xmlrpc 2023-12-13 08:32:21 UTC
This issue has been addressed in the following products:

  Red Hat Ansible Automation Platform 2.4 for RHEL 8
  Red Hat Ansible Automation Platform 2.4 for RHEL 9

Via RHSA-2023:7773 https://access.redhat.com/errata/RHSA-2023:7773


Note You need to log in before you can comment on or make changes to this bug.